Create Resident Charge: AppFolio
Due to limitations in AppFolio's APIs, reading back a created transaction requires we read a date range. We limit this range to just the day the transaction was created, but more than one record may be read back in when this is done.
| Method | Interface |
|---|---|
| POST /v0/charges | Charges |
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_id
The Propexo unique identifier for the integration
lease_id
The Propexo unique identifier for the lease
financial_account_id
The Propexo unique identifier for the financial account
amount_in_cents
The amount of the resident charge, in cents
transaction_date
The transaction date of the resident charge
description
Description of the resident charge
Response
Successful response
meta
result

